summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--audio/easytag/README8
-rw-r--r--audio/easytag/easytag.SlackBuild44
-rw-r--r--audio/easytag/easytag.info12
-rw-r--r--audio/easytag/slack-desc10
4 files changed, 40 insertions, 34 deletions
diff --git a/audio/easytag/README b/audio/easytag/README
index b03cc1adc5..9ec30f8195 100644
--- a/audio/easytag/README
+++ b/audio/easytag/README
@@ -1,7 +1,5 @@
-EasyTAG - Tag editor for MP3, ogg vorbis and various other files.
-
-EasyTAG is a utility for viewing and editing tags for MP3, MP2, FLAC
-Ogg Vorbis, MP4/AAC, MusePack and Monkey's Audio files. Its simple
-and nice GTK2 interface makes tagging easier under GNU/Linux.
+EasyTAG is a utility for viewing and editing tags for MP3, MP2, FLAC,
+Ogg Vorbis, Speex and Opus, MP4/AAC, MusePack, Monkey's Audio and
+WavPack files. Its simple and nice GTK+ interface makes tagging easy.
libmp4v2 is an optional dependency.
diff --git a/audio/easytag/easytag.SlackBuild b/audio/easytag/easytag.SlackBuild
index 7ad594517c..ea809d52a8 100644
--- a/audio/easytag/easytag.SlackBuild
+++ b/audio/easytag/easytag.SlackBuild
@@ -4,6 +4,7 @@
# Copyright 2006 Halim Issa <yallaone@gmail.com>
# Copyright 2013-2014 LEVAI Daniel <leva@ecentrum.hu>
+# Copyright 2017, 2020 Dominik Drobek <dominik.drobek (at) o2.pl>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -12,19 +13,19 @@
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=easytag
-VERSION=${VERSION:-2.1.10}
+VERSION=${VERSION:-2.2.6}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -35,14 +36,14 @@ OUTPUT=${OUTPUT:-/tmp}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
fi
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -68,17 +69,24 @@ find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
--mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
--build=$ARCH-slackware-linux
make
-make install-strip DESTDIR=$PKG
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
DOCS="AUTHORS ChangeLog COPYING HACKING INSTALL README NEWS THANKS TODO"
@@ -88,11 +96,11 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
cat $CWD/$PRGNAM.info > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.info
find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $(find $PKG/usr/man -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/easytag/easytag.info b/audio/easytag/easytag.info
index b35369e4a5..af34e67c0a 100644
--- a/audio/easytag/easytag.info
+++ b/audio/easytag/easytag.info
@@ -1,10 +1,10 @@
PRGNAM="easytag"
-VERSION="2.1.10"
-HOMEPAGE="http://projects.gnome.org/easytag/"
-DOWNLOAD="http://download.gnome.org/sources/easytag/2.1/easytag-2.1.10.tar.xz"
-MD5SUM="feafcd13508c26171f1376aa4b0629c4"
+VERSION="2.2.6"
+HOMEPAGE="https://wiki.gnome.org/Apps/EasyTAG"
+DOWNLOAD="https://download.gnome.org/sources/easytag/2.2/easytag-2.2.6.tar.xz"
+MD5SUM="204b50cb46afa9b40f89774e8dda5f62"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="id3lib"
-MAINTAINER="LEVAI Daniel"
-EMAIL="leva@ecentrum.hu"
+MAINTAINER="Dominik Drobek"
+EMAIL="dominik.drobek (at) o2.pl"
diff --git a/audio/easytag/slack-desc b/audio/easytag/slack-desc
index 07c27c80ce..f495c309e2 100644
--- a/audio/easytag/slack-desc
+++ b/audio/easytag/slack-desc
@@ -6,13 +6,13 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-easytag: easytag (Tag editor for MP3 and Ogg Vorbis files)
+easytag: easytag (Tag editor for audio files)
easytag:
-easytag: EasyTAG is a utility for viewing and editing tags for MP3, MP2, FLAC
-easytag: Ogg Vorbis, MP4/AAC, MusePack and Monkey's Audio files. Its simple
-easytag: and nice GTK2 interface makes tagging easier under GNU/Linux.
+easytag: EasyTAG is a utility for viewing and editing tags for MP3, MP2, FLAC,
+easytag: Ogg Vorbis, Speex and Opus, MP4/AAC, MusePack, Monkey's Audio and
+easytag: WavPack files. Its simple and nice GTK+ interface makes tagging easy.
easytag:
-easytag: Website : http://easytag.sourceforge.net
+easytag: Homepage: https://wiki.gnome.org/Apps/EasyTAG
easytag:
easytag:
easytag: